Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79663 - cannot build rpm from kernel-source if use of kernel modules deactivated
Summary: cannot build rpm from kernel-source if use of kernel modules deactivated
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-14 19:09 UTC by manuel wolfshant
Modified: 2007-04-18 16:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:17 UTC


Attachments (Terms of Use)

Description manuel wolfshant 2002-12-14 19:09:29 UTC
Description of problem:
I want to build a kernel with modules deactivated and transfer it in rpm form.
After the 'make bzImage' step, the make rpm process crashes.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.rpm -i kernel-source-2.4.18-18.8.0
2.choose any way to create /usr/src/linux-2.4/.config, but deselect use of modules
3.replace rpm with rpmbuild in Makefile, under the rpm: label
4.make rpm


Actual Results:  Boot sector 512 bytes.
Setup is 4797 bytes.
System is 812 kB
make[2]: Leaving directory
`/usr/src/redhat/BUILD/kernel-2.4.1818.8.0custom/arch/i386/boot'

The present kernel configuration has modules disabled.
Type 'make config' and enable loadable module support.
Then build a kernel with module support enabled.

make[1]: *** [modules] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/kernel-2.4.1818.8.0custom'
error: Bad exit status from /var/tmp/rpm-tmp.68538 (%build)
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.68538 (%build)
make: *** [rpm] Error 1


Expected Results:  kernel build + binary rpm of kernel

Additional info:

Comment 1 Alan Cox 2002-12-16 13:21:14 UTC
Actually I should add a footnote to this

To rebuild RH kernels it is handled by the spec file - and

      rpmbuild --install kernel-blah.src.rpm
      rpmbuild -ba SPEC/kernel.spec



Comment 2 manuel wolfshant 2002-12-17 13:42:01 UTC
just a sidenote:
#rpm -qa|grep kern
kernel-2.4.18-18.7.x
glibc-kernheaders-2.4-7.16
kernel-source-2.4.18-18.7.x
# cp configs/kernel-2.4.18-athlon.config .config
# make spec
. scripts/mkspec >kernel.spec
# mv kernel.spec /usr/src/redhat/SPECS/
# rpmbuild -bb /usr/src/redhat/SPECS/kernel.spec
error: File /usr/src/redhat/SOURCES/kernel-2.4.1818.7.xcustom.tar.gz: No such
file or directory


as a matter of fact, I do not think rpmbuild would work as proposed in the
previous comment if more patches are to be applied by external scripts (as in
adding freeswan for instance)

Comment 3 Bugzilla owner 2004-09-30 15:40:17 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.